
noinst_LTLIBRARIES = libgisapps.la

BUILT_SOURCES =

resource_files = $(shell glib-compile-resources --sourcedir=$(srcdir) --generate-dependencies $(srcdir)/apps.gresource.xml)
apps-resources.c: apps.gresource.xml $(resource_files)
	$(AM_V_GEN) $(GLIB_COMPILE_RESOURCES) --target=$@ --sourcedir=$(srcdir) --generate-source $<
apps-resources.h: apps.gresource.xml $(resource_files)
	$(AM_V_GEN) $(GLIB_COMPILE_RESOURCES) --target=$@ --sourcedir=$(srcdir) --generate-header $<
BUILT_SOURCES += apps-resources.c apps-resources.h

libgisapps_la_SOURCES =	\
	gis-apps-page.c gis-apps-page.h	\
	$(BUILT_SOURCES)

libgisapps_la_CFLAGS = $(INITIAL_SETUP_CFLAGS) -I "$(srcdir)/../.." -I "$(top_srcdir)" -I "$(top_builddir)"
libgisapps_la_LIBADD = $(INITIAL_SETUP_LIBS)
libgisapps_la_LDFLAGS = -export_dynamic -avoid-version -module -no-undefined

EXTRA_DIST = apps.gresource.xml $(resource_files)

CLEANFILES = $(BUILT_SOURCES)
